
body {
    font-family: Arial, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    position: relative;
    overflow: hidden;
}

body::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url('image/background.jpg') no-repeat center center/cover;
    opacity: 0.2;
    z-index: -1;
}


.login-container {
    background: rgba(255, 255, 255, 0.95); 
    padding: 25px;
    border-radius: 20px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    text-align: center;
    width: 380px;
    max-width: auto;
    height: 540px;
}

.login-container img {
    width: 70px;
}


.login-container h2 {
    color: #17B26A;
    font-size: 45px;
    margin-bottom: 20px;
}


.input-group {
    margin-bottom: 15px;
    position: relative;
    padding: 5px;
    
}

.input-group input:focus {
    box-shadow: 0 0 5px #17B26A;
    outline: none;
}
p{
    text-align: left;
    font-size: 15px;
    color: black;
}

.input-group input {
    width: 70%;
    padding: 12px 30px 12px 30px; 
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 14px;
    outline: none;
}

.input-group .icon {
    position: absolute;
    left: 40px;
    top: 72%;
    transform: translateY(-50%);
    color: black;
    font-size: 16px;
    pointer-events: none;
}



.signup-link {
    font-size: 14px;
    flex: 1;
    text-align: center;
}

.signup-link a {
    color: #17B26A;
    text-decoration: none;
    font-weight: bold;
}

.signup-link a:hover {
    text-decoration: underline;
}

.login-btn {
    background: #17B26A;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
    transition: 0.3s;
}

.login-btn:hover {
    background: darkgreen;
}

.error-message {
    position: absolute;
    bottom: -20px; 
    left: 0;
    color: red;
    font-size: 12px;
    white-space: nowrap;
}

input.error {
    border: 2px solid red;
    background-color: #ffe6e6;
}


/* eye icon stays at the end */
#togglePassword {
    position: absolute;
    right: 43px;       /* always at the end */
    top: 63%;
  
    cursor: pointer;
    pointer-events: auto;
    font-size: 16px;
    color: black;
}